@echo off
REM This batch file helps you to run the OCUS Benchmark v7
REM Steps you need to do:
REM 1 Change the commands in the SKIP SECTION to your own situation
REM 2 Copy the appropriate command(s) to the RUN SECTION
REM 3 Create a short-cut to this batch-file on your desktop.
REM 4 Remove all your own configs and disconnect Creo Parametric from Windchill
REM 5 Reboot your computer, login and wait a few minutes
REM 6 Disable your screen saver and as much other resident programs as well
REM 7 Start the benchmark by double clicking the short-cut on your desktop
REM
REM INITIALIZE =====================================================
set CONTINUE_FROM_OOS=1
set PDM_LDB_PATH=.
set PTC_WF_ROOT=.
set PTC_WF_CACHE=.

:SKIP
REM END INITIALIZE =====================================================

REM Copy the commands you wish to run from the SKIP SECTION into this RUN SECTION below
REM Preferably run the same benchmark 2 or 3 times. Then reboot for the next tests.
REM Note: Include the call countocus7 -n command after each run to generate the result file.
REM START RUN SECTION ===============================================


call "C:\Program Files\PTC\Creo 4.0\M130\Parametric\bin\parametric.bat" pro_wait ocus_benchmark_70.txt
call countocus7 -n

REM END RUN SECTION =================================================
goto END

REM START SKIP SECTION ----------------------------------------------
REM This section is skipped by the goto END command
REM These are the commands you should change to your specific installation
REM Then copy the commands you wish to run to the RUN SECTION above the "goto END" 
REM After each test the countocus7 tool is run with the -n option to generate the result file,
REM while preventing to open the results file and the browser.

call "C:\Program Files\PTC\Creo 4.0\M130\Parametric\bin\parametric.bat" pro_wait ocus_benchmark_70.txt
call countocus7 -n
call "C:\Program Files\PTC\Creo 5.0.5.0\Parametric\bin\parametric.bat" pro_wait ocus_benchmark_70.txt
call countocus7 -n
call "C:\Program Files\PTC\Creo 6.0.4.0\Parametric\bin\parametric.bat" pro_wait ocus_benchmark_70.txt
call countocus7 -n
call "C:\Program Files\PTC\Creo 7.0.0.0\Parametric\bin\parametric.bat" pro_wait ocus_benchmark_70.txt
call countocus7 -n


REM END SKIP SECTION ----------------------------------------------

:END
